import timeit

import tiktoken
import rtok

ebook = open("ebook.txt").read()

print("[rtok]")
encoder = rtok.openai.get_cl100k_base()
print("ebook (90k)", timeit.timeit(lambda: encoder.encode(ebook), number=10))
for len in [100, 1000, 10000, 100000]:
    print(f"a*{len}", timeit.timeit(lambda: encoder.encode("a" * len), number=10))

print()
print("[tiktoken]")
encoder = tiktoken.get_encoding("cl100k_base")
print("ebook (90k)", timeit.timeit(lambda: encoder.encode(ebook), number=10))
for len in [100, 1000, 10000, 100000]:
    print(f"a*{len}", timeit.timeit(lambda: encoder.encode("a" * len), number=10))
